## ksnakeduel 18.12.3

=== debian/changelog ===
ksnakeduel (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:06 +0000

ksnakeduel (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:19:12 +0000

ksnakeduel (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:17 +0000

ksnakeduel (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:30 +0000

ksnakeduel (4:18.08.3-0ubuntu2) disco; urgency=medium

  * Add back optional build dep on libkf5doctools-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 21:19:32 +0000

ksnakeduel (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 20:24:52 +0000

=== debian/control ===
Source: ksnakeduel
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.7.0~),
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0),
               libkf5guiaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libqt5svg5-dev (>= 5.3.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.3.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksnakeduel
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksnakeduel

Package: ksnakeduel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: ktron (<= 4:4.14.0-1), ${kde-l10n:all}
Breaks: ktron (<= 4:4.14.0-1), ${kde-l10n:all}
Recommends: khelpcenter
Description: snake race game
 The object of the game is to avoid running into walls, your own tail,
 and that of your opponent, while at the same time you have to try to
 get your opponent to run into them.
 .
 It also includes kdesnake, a special mode of the game where you can play
 the classical snake action game. In snake you steer a snake which has to eat
 food. While eating, the snake grows. But once a player collides with the other
 snake or the wall, the game is lost. This becomes, of course, more and more
 difficult the longer the snakes grow.
 .
 This package is part of the KDE games module.

## ksnakeduel 19.04.3

=== debian/changelog ===
ksnakeduel (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:17:45 +0100

ksnakeduel (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:11:06 +0100

ksnakeduel (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:01:25 +0100

ksnakeduel (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.15.0),
                libkf5guiaddons-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5widgetsaddons-dev (>= 5.15.0~),
                libkf5xmlgui-dev (>= 5.15.0~),
                libqt5svg5-dev (>= 5.3.0~),

## ksnakeduel 19.08.1

=== debian/changelog ===
ksnakeduel (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump Qt packages to 5.10.0
    - bump ECM, and KF packages to 5.40.0
    - explicitly add libkf5doctools-dev, and gettext
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Remove the obsolete ktron breaks/replaces.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 12:17:34 +0200

=== debian/control ===
Source: ksnakeduel
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.40.0~),
               gettext,
               libkf5completion-dev (>= 5.40.0~),
               libkf5config-dev (>= 5.40.0~),
               libkf5configwidgets-dev (>= 5.40.0~),
               libkf5coreaddons-dev (>= 5.40.0~),
               libkf5crash-dev (>= 5.40.0~),
               libkf5dbusaddons-dev (>= 5.40.0~),
               libkf5doctools-dev (>= 5.40.0~),
               libkf5guiaddons-dev (>= 5.40.0~),
               libkf5i18n-dev (>= 5.40.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5widgetsaddons-dev (>= 5.40.0~),
               libkf5xmlgui-dev (>= 5.40.0~),
               libqt5svg5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.4.1
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel.git

Package: ksnakeduel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Recommends: khelpcenter
Description: snake race game
 The object of the game is to avoid running into walls, your own tail,
 and that of your opponent, while at the same time you have to try to
 get your opponent to run into them.
 .
 It also includes kdesnake, a special mode of the game where you can play
 the classical snake action game. In snake you steer a snake which has to eat
 food. While eating, the snake grows. But once a player collides with the other
 snake or the wall, the game is lost. This becomes, of course, more and more
 difficult the longer the snakes grow.
 .
 This package is part of the KDE games module.

## ksnakeduel 19.12.3

=== debian/changelog ===
ksnakeduel (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:13:50 +0000

ksnakeduel (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:23:33 +0000

ksnakeduel (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:57:46 +0000

ksnakeduel (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:51:27 +0000

ksnakeduel (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:36:07 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.40.0~),
                libkf5guiaddons-dev (>= 5.40.0~),
                libkf5i18n-dev (>= 5.40.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5widgetsaddons-dev (>= 5.40.0~),
                libkf5xmlgui-dev (>= 5.40.0~),
                libqt5svg5-dev (>= 5.10.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-2~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE_INSTALL_BINDIR=/usr/games

## ksnakeduel 20.08.1

=== debian/changelog ===
ksnakeduel (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:27 +0100

ksnakeduel (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:50:19 +0100

ksnakeduel (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 12:52:19 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.40.0~),
                gettext,
                libkf5completion-dev (>= 5.40.0~),
@@ -22,13 +22,14 @@
                libkf5doctools-dev (>= 5.40.0~),
                libkf5guiaddons-dev (>= 5.40.0~),
                libkf5i18n-dev (>= 5.40.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5widgetsaddons-dev (>= 5.40.0~),
                libkf5xmlgui-dev (>= 5.40.0~),
                libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.10.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel.git

## ksnakeduel 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KSNAKEDUEL_BASE_VERSION once new features are added
set(KSNAKEDUEL_BASE_VERSION "2.1")
set(KSNAKEDUEL_VERSION "${KSNAKEDUEL_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(ksnakeduel VERSION ${KSNAKEDUEL_VERSION})

set (QT_MIN_VERSION "5.10.0")
set (KF5_MIN_VERSION "5.57.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

add_definitions(
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050A00
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053900
)

add_subdirectory(pics)
add_subdirectory(themes)
add_subdirectory(doc)

########### next target ###############

ecm_setup_version(${KSNAKEDUEL_VERSION}
    VARIABLE_PREFIX KSNAKEDUEL
    VERSION_HEADER ksnakeduel_version.h
)

set(ksnakeduel_SRCS
    renderer.cpp
    object.cpp
    snakepart.cpp
    item.cpp
    obstacle.cpp
    playfield.cpp
    player.cpp
    intelligence.cpp
    tron.cpp
    ktron.cpp
    main.cpp
)

ecm_qt_declare_logging_category(ksnakeduel_SRCS HEADER ksnakeduel_debug.h IDENTIFIER KSNAKEDUEL_LOG CATEGORY_NAME ksnakeduel_smtp)

ki18n_wrap_ui(ksnakeduel_SRCS general.ui)

kconfig_add_kcfg_files(ksnakeduel_SRCS settings.kcfgc)
qt5_add_resources(ksnakeduel_SRCS ksnakeduel.qrc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-ksnakeduel.png")
ecm_add_app_icon(ksnakeduel_SRCS ICONS ${ICONS_SRCS})

add_executable(ksnakeduel ${ksnakeduel_SRCS})

target_link_libraries(ksnakeduel
    Qt5::Svg
    KF5::Crash
    KF5::DBusAddons
    KF5::GuiAddons
    KF5::I18n
    KF5::XmlGui
    KF5KDEGames
    KF5KDEGamesPrivate
)

install(TARGETS ksnakeduel ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(PROGRAMS  org.kde.ksnakeduel.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES  ksnakeduel.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES  ksnakeduel.knsrc DESTINATION "${KDE_INSTALL_DATADIR}/knsrcfiles")
install(FILES  org.kde.ksnakeduel.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES ksnakeduel.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES ksnakeduel.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksnakeduel (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.57.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.
  * Unregister the old /etc/xdg/ksnakeduel.knsrc conffile.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 22:22:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,25 +10,25 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.40.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.57.0~),
                gettext,
-               libkf5completion-dev (>= 5.40.0~),
-               libkf5config-dev (>= 5.40.0~),
-               libkf5configwidgets-dev (>= 5.40.0~),
-               libkf5coreaddons-dev (>= 5.40.0~),
-               libkf5crash-dev (>= 5.40.0~),
-               libkf5dbusaddons-dev (>= 5.40.0~),
-               libkf5doctools-dev (>= 5.40.0~),
-               libkf5guiaddons-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
-               libkf5widgetsaddons-dev (>= 5.40.0~),
-               libkf5xmlgui-dev (>= 5.40.0~),
+               libkf5completion-dev (>= 5.57.0~),
+               libkf5config-dev (>= 5.57.0~),
+               libkf5configwidgets-dev (>= 5.57.0~),
+               libkf5coreaddons-dev (>= 5.57.0~),
+               libkf5crash-dev (>= 5.57.0~),
+               libkf5dbusaddons-dev (>= 5.57.0~),
+               libkf5doctools-dev (>= 5.57.0~),
+               libkf5guiaddons-dev (>= 5.57.0~),
+               libkf5i18n-dev (>= 5.57.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5widgetsaddons-dev (>= 5.57.0~),
+               libkf5xmlgui-dev (>= 5.57.0~),
                libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.10.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel

## ksnakeduel 20.12.3

=== debian/changelog ===
ksnakeduel (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:44 +0000

ksnakeduel (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:00 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5guiaddons-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libkf5xmlgui-dev (>= 5.57.0~),
                libqt5svg5-dev (>= 5.10.0~),

## ksnakeduel 21.04.0

=== debian/changelog ===
ksnakeduel (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:42:11 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5guiaddons-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:20.12.3~),
+               libkf5kdegames-dev (>= 4:21.04.0~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libkf5xmlgui-dev (>= 5.57.0~),
                libqt5svg5-dev (>= 5.10.0~),

## ksnakeduel 21.08.0

=== src/CMakeLists.txt ===
ecm_setup_version(${KSNAKEDUEL_VERSION}
    VARIABLE_PREFIX KSNAKEDUEL
    VERSION_HEADER ksnakeduel_version.h
)

add_executable(ksnakeduel)

target_sources(ksnakeduel PRIVATE
    renderer.cpp
    object.cpp
    snakepart.cpp
    item.cpp
    obstacle.cpp
    playfield.cpp
    player.cpp
    intelligence.cpp
    tron.cpp
    ktron.cpp
    main.cpp

    ksnakeduel.qrc
)

ecm_qt_declare_logging_category(ksnakeduel
    HEADER ksnakeduel_debug.h
    IDENTIFIER KSNAKEDUEL_LOG
    CATEGORY_NAME ksnakeduel
    DESCRIPTION "KSnakeDuel"
    EXPORT KSNAKEDUEL
)

ki18n_wrap_ui(ksnakeduel general.ui)

kconfig_add_kcfg_files(ksnakeduel settings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-ksnakeduel.png")
ecm_add_app_icon(ksnakeduel ICONS ${ICONS_SRCS})

target_link_libraries(ksnakeduel
    KF5KDEGames
    KF5KDEGamesPrivate
    KF5::Crash
    KF5::DBusAddons
    KF5::GuiAddons
    KF5::I18n
    KF5::XmlGui
    Qt5::Svg
)

install(TARGETS ksnakeduel ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS  org.kde.ksnakeduel.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES  ksnakeduel.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES  ksnakeduel.knsrc DESTINATION "${KDE_INSTALL_DATADIR}/knsrcfiles")
install(FILES  org.kde.ksnakeduel.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
    EXPORT KSNAKEDUEL
    FILE ksnakeduel.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/control ===
Source: ksnakeduel
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5completion-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5guiaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel.git

Package: ksnakeduel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Recommends: khelpcenter
Description: snake race game
 The object of the game is to avoid running into walls, your own tail,
 and that of your opponent, while at the same time you have to try to
 get your opponent to run into them.
 .
 It also includes kdesnake, a special mode of the game where you can play
 the classical snake action game. In snake you steer a snake which has to eat
 food. While eating, the snake grows. But once a player collides with the other
 snake or the wall, the game is lost. This becomes, of course, more and more
 difficult the longer the snakes grow.
 .
 This package is part of the KDE games module.

## ksnakeduel 21.08.1

=== debian/changelog ===
ksnakeduel (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:55 +0100

ksnakeduel (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:11 +0100

ksnakeduel (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:01:13 +0100

ksnakeduel (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:00 +0100

ksnakeduel (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:24 +0100

ksnakeduel (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:24 +0100

ksnakeduel (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:59 +0100

=== debian/control ===
Source: ksnakeduel
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.57.0~),
               gettext,
               libkf5completion-dev (>= 5.57.0~),
               libkf5config-dev (>= 5.57.0~),
               libkf5configwidgets-dev (>= 5.57.0~),
               libkf5coreaddons-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5dbusaddons-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5guiaddons-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5kdegames-dev (>= 4:21.08.1~),
               libkf5widgetsaddons-dev (>= 5.57.0~),
               libkf5xmlgui-dev (>= 5.57.0~),
               libqt5svg5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel.git

Package: ksnakeduel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Recommends: khelpcenter
Description: snake race game
 The object of the game is to avoid running into walls, your own tail,
 and that of your opponent, while at the same time you have to try to
 get your opponent to run into them.
 .
 It also includes kdesnake, a special mode of the game where you can play
 the classical snake action game. In snake you steer a snake which has to eat
 food. While eating, the snake grows. But once a player collides with the other
 snake or the wall, the game is lost. This becomes, of course, more and more
 difficult the longer the snakes grow.
 .
 This package is part of the KDE games module.

## ksnakeduel 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KSNAKEDUEL_BASE_VERSION once new features are added
set(KSNAKEDUEL_BASE_VERSION "2.1")
set(KSNAKEDUEL_VERSION "${KSNAKEDUEL_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(ksnakeduel VERSION ${KSNAKEDUEL_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(icons)
add_subdirectory(themes)
add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksnakeduel (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:33 +0000

ksnakeduel (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:22:07 +0000

ksnakeduel (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:57 +0000

ksnakeduel (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:27:07 +0000

ksnakeduel (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:18 +0000

ksnakeduel (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:33 +0000

ksnakeduel (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ksnakeduel
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -22,7 +23,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5guiaddons-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libkf5xmlgui-dev (>= 5.57.0~),
                libqt5svg5-dev (>= 5.10.0~),

## ksnakeduel 22.08.1

=== debian/changelog ===
ksnakeduel (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:50 +0100

ksnakeduel (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:15 +0100

ksnakeduel (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:01 +0100

ksnakeduel (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:32 +0100

ksnakeduel (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:35 +0100

ksnakeduel (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:54 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5guiaddons-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libkf5xmlgui-dev (>= 5.57.0~),
                libqt5svg5-dev (>= 5.10.0~),

## ksnakeduel 22.12.0

=== debian/changelog ===
ksnakeduel (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:42 +0100

ksnakeduel (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:25:52 +0900

ksnakeduel (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Fix libkf5kdegames-dev versioning.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 15:09:25 +0900

=== debian/control ===
Source: ksnakeduel
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel.git

Package: ksnakeduel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Recommends: khelpcenter
Description: snake race game
 The object of the game is to avoid running into walls, your own tail,
 and that of your opponent, while at the same time you have to try to
 get your opponent to run into them.
 .
 It also includes kdesnake, a special mode of the game where you can play
 the classical snake action game. In snake you steer a snake which has to eat
 food. While eating, the snake grows. But once a player collides with the other
 snake or the wall, the game is lost. This becomes, of course, more and more
 difficult the longer the snakes grow.
 .
 This package is part of the KDE games module.

## ksnakeduel 22.12.1

=== debian/changelog ===
ksnakeduel (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:06:08 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libqt5svg5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel

## ksnakeduel 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
@@ -13,10 +13,10 @@
 project(ksnakeduel VERSION ${KSNAKEDUEL_VERSION})
 
 set (QT_MIN_VERSION "5.15.0")
-set (KF5_MIN_VERSION "5.85.0")
+set (KF5_MIN_VERSION "5.90.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -28,7 +28,8 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
+
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Completion
     Config
@@ -48,9 +49,11 @@
 add_definitions(
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )
+
+include(InternalMacros)
 
 add_subdirectory(icons)
 add_subdirectory(themes)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,17 +6,28 @@
 add_executable(ksnakeduel)
 
 target_sources(ksnakeduel PRIVATE
+    intelligence.cpp
+    intelligence.h
+    item.cpp
+    item.h
+    ktron.cpp
+    ktron.h
+    main.cpp
+    object.cpp
+    object.h
+    obstacle.cpp
+    obstacle.h
+    player.cpp
+    player.h
+    playfield.cpp
+    playfield.h
     renderer.cpp
-    object.cpp
+    renderer.h
     snakepart.cpp
-    item.cpp
-    obstacle.cpp
-    playfield.cpp
-    player.cpp
-    intelligence.cpp
+    snakepart.h
     tron.cpp
-    ktron.cpp
-    main.cpp
+    tron.h
+
 
     ksnakeduel.qrc
 )
@@ -38,13 +49,14 @@
 
 target_link_libraries(ksnakeduel
     KF5KDEGames
-    KF5KDEGamesPrivate
+    KF5::CoreAddons
+    KF5::Completion
     KF5::Crash
     KF5::DBusAddons
     KF5::GuiAddons
     KF5::I18n
     KF5::XmlGui
-    Qt5::Svg
+    Qt${QT_MAJOR_VERSION}::Svg
 )
 
 install(TARGETS ksnakeduel ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
ksnakeduel (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:22 +0100

=== debian/control ===
--- 
+++ 
@@ -34,10 +34,10 @@
 
 Package: ksnakeduel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: ${kde-l10n:all}
-Breaks: ${kde-l10n:all}
-Recommends: khelpcenter
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Replaces: ${kde-l10n:all},
+Breaks: ${kde-l10n:all},
+Recommends: khelpcenter,
 Description: snake race game
  The object of the game is to avoid running into walls, your own tail,
  and that of your opponent, while at the same time you have to try to

## ksnakeduel 23.08.0

=== debian/changelog ===
ksnakeduel (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:09 +0100

ksnakeduel (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:37 +0100

ksnakeduel (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:14 +0100

ksnakeduel (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:06 +0100

ksnakeduel (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:45 +0000

ksnakeduel (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:24:13 -0600

ksnakeduel (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:32 +0000

ksnakeduel (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 16:46:28 +0000

ksnakeduel (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:13 +0000

ksnakeduel (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:28 +0000

ksnakeduel (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:32 +0000

ksnakeduel (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ksnakeduel
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -20,24 +21,24 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5guiaddons-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksnakeduel.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksnakeduel
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksnakeduel
 
 Package: ksnakeduel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Replaces: ${kde-l10n:all},
-Breaks: ${kde-l10n:all},
-Recommends: khelpcenter,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: ${kde-l10n:all}
+Breaks: ${kde-l10n:all}
+Recommends: khelpcenter
 Description: snake race game
  The object of the game is to avoid running into walls, your own tail,
  and that of your opponent, while at the same time you have to try to

## ksnakeduel 23.08.1

=== debian/changelog ===
ksnakeduel (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:07 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5guiaddons-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.0~),

## ksnakeduel 23.08.4

=== debian/changelog ===
ksnakeduel (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:18 +0000

ksnakeduel (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:33 +0000

ksnakeduel (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:19 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5guiaddons-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.0~),
